Description

In the puppet-puppet module (manifests/server/config.pp:6) the foreman::puppetmaster class is included. The 

foreman::puppetmaster class and the foreman::config::enc class that is included (and the used templates) are therefore only able to

use the default values hardcoded in foreman::params, not the parameters given to the foreman class. This leads to problems when

using the foreman class e.g. with parameter foreman_url: The ENC and reporting config files will contain a different Foreman URL

than given to the foreman class.

I suggest to include the foreman::puppetmaster class in foreman::config with a notify => Class['puppet::server::service'] and not use

foreman::params:: values but foreman:: parameters instead.

History

#1 - 08/07/2012 06:40 AM - Ohad Levy

great, would you mind sending a patch / github pull request?

thanks!

#2 - 08/15/2012 09:36 AM - Peter Bauer

will do ASAP

#3 - 12/24/2012 02:45 AM - Peter Bauer

Obsolete due to commit:ed7c8f63dfa3351d65956ab6cf4569e17586f91f

#4 - 09/20/2013 12:43 PM - Ewoud Kohl van Wijngaarden

- Description updated

- Status changed from New to Resolved

- % Done changed from 0 to 100

Since this has been fixed a long time ago, let's close this :).

Powered by TCPDF (www.tcpdf.org)

05/17/2024 1/1

http://www.tcpdf.org

